Package org.eclipse.net4j.util.ui

# Class UIActivator

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.ui.plugin.AbstractUIPlugin
org.eclipse.net4j.util.ui.UIActivator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

Direct Known Subclasses:
  `UIActivator.WithState`

public class UIActivator extends AbstractUIPlugin

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`UIActivator.WithState`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.osgi.framework.BundleContext`
`bundleContext`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`UIActivator(OMBundle omBundle)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doStart()`
`protected void`
`doStop()`
`IDialogSettings`
`getDialogSettings(Class<?> clazz)`
`IDialogSettings`
`getDialogSettings(String section)`
`Image`
`getImage(String path)`
`ImageDescriptor`
`getImageDescriptor(String path)`
`final OMBundle`
`getOMBundle()`
`ImageDescriptor`
`loadImageDescriptor(String path)`
`final void`
`start(org.osgi.framework.BundleContext context)`
`final void`
`stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### bundleContext

protected org.osgi.framework.BundleContext bundleContext

Since:
  2.0

## Constructor Details

### UIActivator

public UIActivator(OMBundle omBundle)

## Method Details

### getOMBundle

public final OMBundle getOMBundle()

### getImage

public Image getImage(String path)

Since:
  3.19

### getImageDescriptor

public ImageDescriptor getImageDescriptor(String path)

Since:
  3.19

### loadImageDescriptor

public ImageDescriptor loadImageDescriptor(String path)

Since:
  3.1

### getDialogSettings

public IDialogSettings getDialogSettings(Class<?> clazz)

Since:
  3.4

### getDialogSettings

public IDialogSettings getDialogSettings(String section)

Since:
  3.4

### start

public final void start(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `AbstractUIPlugin`
Throws:
  `Exception`

### stop

public final void stop(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `AbstractUIPlugin`
Throws:
  `Exception`

### doStart

protected void doStart() throws Exception

Throws:
  `Exception`
Since:
  2.0

### doStop

protected void doStop() throws Exception

Throws:
  `Exception`
Since:
  2.0